Description
Hi,

when | use the busy plugin on a dialogue form it will not work when opacity is 0
when | set it to a very small number it works !!

var params = {
processFunction: getMails,
//message: 'Lengthy process... please wait!',

opacity: 0.00000001,
paneColor: '#FF0000',
textColor: '#000000',
showCancelButton: false,
cancelButtonText: 'Stop!',
dialogName: 'Parent'
}i
plugins.busy.block (params) ;

History

#1 - 02/22/2012 11:25 PM - Patrick Talbot

- Status changed from New to Closed
In that case, | would say: you've find the workaround yourself :)
#2 - 02/24/2012 08:57 AM - Hans Nieuwenhuis

In my opinion, a workaround is not a substitute for a Bug fix ;-)

But seriously, | am considering to use the busy plugin in our solution and
| want to make sure that it is reliable.

| am just going to use it to show a busy cursor for actions that take one or a few seconds.
For longer actions, i use a progress bar or a headless client.

#3 - 02/24/2012 02:09 PM - Patrick Talbot

In that case, it will do, for lack of time and too many other things to do ;-)

Anyway, most probably the 'fix' for this would be to take your 0 value interma;;u and make it a small double just like you do.
